package com.inkasso.factoring.bocom.register.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.inkasso.adapter.bean.BaseBean;
import com.inkasso.factoring.file.entity.FileStorageDO;

import java.util.List;

/**
 * <p>
 * 交通银行客户信息
 * </p>
 *
 * @author liutao
 * @since 2024-07-29
 */
@TableName("bocom_basic_info")
public class BocomBasicInfo extends BaseBean {

    private static final long serialVersionUID = 1L;

    /**
     * 0企业 1个体工商户 2个人
     */
    @TableField("customer_type")
    private Integer customerType;

    /**
     * 客户名称
     */
    @TableField("customer_name")
    private String customerName;

    /**
     * 客户号
     */
    @TableField("customer_number")
    private String customerNumber;

    /**
     * 平台流水号
     */
    @TableField("platform_serial_number")
    private String platformSerialNumber;

    /**
     * 客户状态
     */
    @TableField("customer_status")
    private String customerStatus;

    /**
     * 阶段
     */
    @TableField("stage")
    private String stage;

    /**
     * 0男 1女
     */
    @TableField("gender")
    private Integer gender;

    /**
     * 证件种类
     */
    @TableField("certificate_type")
    private String certificateType;

    /**
     * 注册国别
     */
    @TableField("registered_country")
    private String registeredCountry;

    /**
     * 统一社会信用代码
     */
    @TableField("social_credit_code")
    private String socialCreditCode;

    /**
     * 证件过期时间
     */
    @TableField("certificate_expiration_date")
    private String certificateExpirationDate;

    /**
     *  证件有效开始日期
     */
    @TableField("period_of_validity_from")
    private String periodOfValidityFrom;

    /**
     *  证件有效期
     */
    @TableField("period_of_validity")
    private String periodOfValidity;

    /**
     *  职业
     */
    @TableField("occupation")
    private String occupation;

    /**
     * 注册地址
     */
    @TableField("registered_address")
    private String registeredAddress;

    /**
     * 经营地址
     */
    @TableField("business_address")
    private String businessAddress;

    /**
     * 经营范围
     */
    @TableField("business_scope")
    private String businessScope;

    /**
     * 联系地址
     */
    @TableField("contact_address")
    private String contactAddress;

    /**
     * 手机号
     */
    @TableField("phone_number")
    private String phoneNumber;

    /**
     * 客户来源
     */
    @TableField("customer_source")
    private String customerSource;

    /**
     * 客户核验状态
     */
    @TableField("verification_status")
    private String verificationStatus;

    /**
     * 用户授权状态 0-待用户授权 1-银行审核中 2-授权失败(用户拒绝)3-授权失败(银行拒绝)4-授权成
     */
    @TableField("user_atuh_sts")
    private String userAtuhSts;

    /**
     * 流程断点状态核验失败时，显示具体核验结果
     */
    @TableField("vrfy_fail_sts_word")
    private String vrfyFailStsWord;

    /**
     * 通知推送对象
     */
    @TableField("push_person")
    private String pushPerson;

    /**
     * false暂存 true提交
     */
    @TableField(exist = false)
    private Boolean visible;

    @TableField(exist = false)
    private BocomLegalPersonInfo bocomLegalPersonInfo;

    @TableField(exist = false)
    private List<BocomShareholderActualController> bocomShareholderActualControllers;

    @TableField(exist = false)
    private List<BocomBeneficiaryInfo> bocomBeneficiaryInfos;

    @TableField(exist = false)
    private BocomAuthorizedAgent bocomAuthorizedAgent;

    @TableField(exist = false)
    private Long fileId;

    @TableField(exist = false)
    private Long front;

    @TableField(exist = false)
    private Long back;

    @TableField(exist = false)
    private Long historyId;

    @TableField(exist = false)
    private FileStorageDO file;

    @TableField(exist = false)
    private FileStorageDO frontFile;

    @TableField(exist = false)
    private FileStorageDO backFile ;

    @TableField(exist = false)
    private String reason;

    public String getUserAtuhSts() {
        return userAtuhSts;
    }

    public void setUserAtuhSts(String userAtuhSts) {
        this.userAtuhSts = userAtuhSts;
    }

    public String getVrfyFailStsWord() {
        return vrfyFailStsWord;
    }

    public void setVrfyFailStsWord(String vrfyFailStsWord) {
        this.vrfyFailStsWord = vrfyFailStsWord;
    }

    public String getPeriodOfValidityFrom() {
        return periodOfValidityFrom;
    }

    public void setPeriodOfValidityFrom(String periodOfValidityFrom) {
        this.periodOfValidityFrom = periodOfValidityFrom;
    }

    public String getPushPerson() {
        return pushPerson;
    }

    public void setPushPerson(String pushPerson) {
        this.pushPerson = pushPerson;
    }

    public String getVerificationStatus() {
        return verificationStatus;
    }

    public void setVerificationStatus(String verificationStatus) {
        this.verificationStatus = verificationStatus;
    }

    public String getCustomerSource() {
        return customerSource;
    }

    public void setCustomerSource(String customerSource) {
        this.customerSource = customerSource;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public FileStorageDO getFile() {
        return file;
    }

    public void setFile(FileStorageDO file) {
        this.file = file;
    }

    public FileStorageDO getFrontFile() {
        return frontFile;
    }

    public void setFrontFile(FileStorageDO frontFile) {
        this.frontFile = frontFile;
    }

    public FileStorageDO getBackFile() {
        return backFile;
    }

    public void setBackFile(FileStorageDO backFile) {
        this.backFile = backFile;
    }

    public String getPlatformSerialNumber() {
        return platformSerialNumber;
    }

    public void setPlatformSerialNumber(String platformSerialNumber) {
        this.platformSerialNumber = platformSerialNumber;
    }

    public Long getHistoryId() {
        return historyId;
    }

    public void setHistoryId(Long historyId) {
        this.historyId = historyId;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public BocomLegalPersonInfo getBocomLegalPersonInfo() {
        return bocomLegalPersonInfo;
    }

    public void setBocomLegalPersonInfo(BocomLegalPersonInfo bocomLegalPersonInfo) {
        this.bocomLegalPersonInfo = bocomLegalPersonInfo;
    }

    public List<BocomShareholderActualController> getBocomShareholderActualControllers() {
        return bocomShareholderActualControllers;
    }

    public void setBocomShareholderActualControllers(List<BocomShareholderActualController> bocomShareholderActualControllers) {
        this.bocomShareholderActualControllers = bocomShareholderActualControllers;
    }

    public List<BocomBeneficiaryInfo> getBocomBeneficiaryInfos() {
        return bocomBeneficiaryInfos;
    }

    public void setBocomBeneficiaryInfos(List<BocomBeneficiaryInfo> bocomBeneficiaryInfos) {
        this.bocomBeneficiaryInfos = bocomBeneficiaryInfos;
    }

    public BocomAuthorizedAgent getBocomAuthorizedAgent() {
        return bocomAuthorizedAgent;
    }

    public void setBocomAuthorizedAgent(BocomAuthorizedAgent bocomAuthorizedAgent) {
        this.bocomAuthorizedAgent = bocomAuthorizedAgent;
    }

    public Boolean getVisible() {
        return visible;
    }

    public void setVisible(Boolean visible) {
        this.visible = visible;
    }

    public Long getFront() {
        return front;
    }

    public void setFront(Long front) {
        this.front = front;
    }

    public Long getBack() {
        return back;
    }

    public void setBack(Long back) {
        this.back = back;
    }

    public Integer getCustomerType() {
        return customerType;
    }

    public void setCustomerType(Integer customerType) {
        this.customerType = customerType;
    }
    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }
    public String getCustomerNumber() {
        return customerNumber;
    }

    public void setCustomerNumber(String customerNumber) {
        this.customerNumber = customerNumber;
    }
    public String getCustomerStatus() {
        return customerStatus;
    }

    public void setCustomerStatus(String customerStatus) {
        this.customerStatus = customerStatus;
    }

    public String getStage() {
        return stage;
    }

    public void setStage(String stage) {
        this.stage = stage;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }
    public String getCertificateType() {
        return certificateType;
    }

    public void setCertificateType(String certificateType) {
        this.certificateType = certificateType;
    }
    public String getRegisteredCountry() {
        return registeredCountry;
    }

    public void setRegisteredCountry(String registeredCountry) {
        this.registeredCountry = registeredCountry;
    }
    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }
    public String getCertificateExpirationDate() {
        return certificateExpirationDate;
    }

    public void setCertificateExpirationDate(String certificateExpirationDate) {
        this.certificateExpirationDate = certificateExpirationDate;
    }
    public String getPeriodOfValidity() {
        return periodOfValidity;
    }

    public void setPeriodOfValidity(String periodOfValidity) {
        this.periodOfValidity = periodOfValidity;
    }
    public String getOccupation() {
        return occupation;
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation;
    }
    public String getRegisteredAddress() {
        return registeredAddress;
    }

    public void setRegisteredAddress(String registeredAddress) {
        this.registeredAddress = registeredAddress;
    }
    public String getBusinessAddress() {
        return businessAddress;
    }

    public void setBusinessAddress(String businessAddress) {
        this.businessAddress = businessAddress;
    }
    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }
    public String getContactAddress() {
        return contactAddress;
    }

    public void setContactAddress(String contactAddress) {
        this.contactAddress = contactAddress;
    }
    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }
}
