package com.inkasso.factoring.bocom.register.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.inkasso.adapter.bean.BaseBean;

/**
 * <p>
 * 人员信息历史
 * </p>
 *
 * @author liutao
 * @since 2024-07-29
 */
@TableName("bocom_shareholder_actual_controller_history")
public class BocomShareholderActualControllerHistory extends BaseBean {

    private static final long serialVersionUID = 1L;

    /**
     * 交通银行客户信息ID
     */
    @TableField("bocom_basic_info_id")
    private Long bocomBasicInfoId;

    /**
     * 0控股股东 1实控人 2负责人
     */
    @TableField("person_type")
    private Integer personType;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 证件种类
     */
    @TableField("certificate_type")
    private String certificateType;

    /**
     * 证件号码
     */
    @TableField("certificate_code")
    private String certificateCode;

    /**
     *  证件有效开始日期
     */
    @TableField("period_of_validity_from")
    private String periodOfValidityFrom;

    /**
     *  证件有效期
     */
    @TableField("period_of_validity")
    private String periodOfValidity;

    /**
     * 电话
     */
    @TableField("phone_number")
    private String phoneNumber;

    /**
     * 国家
     */
    @TableField("country")
    private String country;

    /**
     * 地址
     */
    @TableField("address")
    private String address;

    public String getPeriodOfValidityFrom() {
        return periodOfValidityFrom;
    }

    public void setPeriodOfValidityFrom(String periodOfValidityFrom) {
        this.periodOfValidityFrom = periodOfValidityFrom;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Long getBocomBasicInfoId() {
        return bocomBasicInfoId;
    }

    public void setBocomBasicInfoId(Long bocomBasicInfoId) {
        this.bocomBasicInfoId = bocomBasicInfoId;
    }
    public Integer getPersonType() {
        return personType;
    }

    public void setPersonType(Integer personType) {
        this.personType = personType;
    }
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
    public String getCertificateType() {
        return certificateType;
    }

    public void setCertificateType(String certificateType) {
        this.certificateType = certificateType;
    }
    public String getCertificateCode() {
        return certificateCode;
    }

    public void setCertificateCode(String certificateCode) {
        this.certificateCode = certificateCode;
    }
    public String getPeriodOfValidity() {
        return periodOfValidity;
    }

    public void setPeriodOfValidity(String periodOfValidity) {
        this.periodOfValidity = periodOfValidity;
    }

    @Override
    public String toString() {
        return "BocomShareholderActualControllerHistory{" +
            "bocomBasicInfoId=" + bocomBasicInfoId +
            ", personType=" + personType +
            ", name=" + name +
            ", certificateType=" + certificateType +
            ", certificateCode=" + certificateCode +
            ", periodOfValidity=" + periodOfValidity +
        "}";
    }
}
