package com.inkasso.factoring.bocom.register.service;

import com.inkasso.factoring.bocom.register.entity.BocomBasicInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.bocom.register.entity.vo.BocomSearchVo;
import com.inkasso.factoring.bocom.register.entity.vo.EnterpriseDetailVo;

import java.util.List;

/**
 * <p>
 * 交通银行客户信息 服务类
 * </p>
 *
 * @author liutao
 * @since 2024-07-29
 */
public interface IBocomBasicInfoService extends IService<BocomBasicInfo> {

    /**
     * 暂存 提交
     * @param bocomBasicInfo
     */
    void add(BocomBasicInfo bocomBasicInfo);

    /**
     * 获取详情
     *
     * @param id
     * @return
     */
    BocomBasicInfo getDetail(Long id);

    /**
     * 根据条件查询
     *
     * @param bocomSearchVo
     * @return
     */
    List<BocomBasicInfo> findBySearch(BocomSearchVo bocomSearchVo);

    /**
     * 获取企业信息
     * @param keyword
     * @return
     */
    EnterpriseDetailVo getBasicDetailsByName(String keyword);
}
