package com.inkasso.factoring.bocom.register.web;


import com.inkasso.factoring.bocom.register.entity.BocomBasicInfo;
import com.inkasso.factoring.bocom.register.entity.vo.BocomSearchVo;
import com.inkasso.factoring.bocom.register.entity.vo.EnterpriseDetailVo;
import com.inkasso.factoring.bocom.register.service.IBocomBasicInfoService;
import com.inkasso.factoring.common.entity.ResponseJson;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 交通银行客户信息
 *
 * @author liutao
 * @since 2024-07-29
 */
@RestController
@RequestMapping("/bocom/register")
public class BocomBasicInfoController {

    @Autowired
    private IBocomBasicInfoService bocomBasicInfoService;

    /**
     * 获取企业人员信息
     * @param keyword
     * @return
     */
    @RequestMapping("getBusinessByKeyWord")
    public ResponseJson<EnterpriseDetailVo> getBasicDetailsByName(@RequestParam String keyword){
        EnterpriseDetailVo enterpriseDetailVo = bocomBasicInfoService.getBasicDetailsByName(keyword);
        return new ResponseJson(enterpriseDetailVo);
    }

    /**
     * 暂存 提交
     * @param bocomBasicInfo
     * @return
     */
    @RequestMapping("add")
    public ResponseJson addInfo(@RequestBody BocomBasicInfo bocomBasicInfo){
        bocomBasicInfoService.add(bocomBasicInfo);
        return new ResponseJson();
    }

    /**
     * 获取详情
     * @param id
     * @return
     */
    @RequestMapping("getDetail")
    public ResponseJson<BocomBasicInfo> getDetail(@RequestParam Long id){
        BocomBasicInfo bocomBasicInfo = bocomBasicInfoService.getDetail(id);
        return new ResponseJson(bocomBasicInfo);
    }

    /**
     * 全部列表
     * @param bocomSearchVo
     * @return
     */
    @RequestMapping("findBySearch")
    public ResponseJson<List<BocomBasicInfo>> findBySearch(@RequestBody BocomSearchVo bocomSearchVo){
        List<BocomBasicInfo> bocomBasicInfos = bocomBasicInfoService.findBySearch(bocomSearchVo);
        return new ResponseJson(bocomBasicInfos);
    }
}
