package com.inkasso.factoring.bocom.vipaccount.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * <p>
 * 会员账户-提现记录表
 * </p>
 *
 * @author wangyafan
 * @since 2024-07-29
 */
@TableName("bocom_vip_account_reflect_record")
public class BocomVipAccountReflectRecord extends BaseEntity {

    /**
     * 会员账户-基础信息表id
     */
    @TableField("bocom_vip_account_basic_info_id")
    private Long bocomVipAccountBasicInfoId;

    /**
     * 会员账户-绑定账户信息表id
     */
    @TableField("bocom_vip_bind_account_info_id")
    private Long bocomVipBindAccountInfoId;

    /**
     * 提现金额（用户申请）
     */
    @TableField("withdrawal_amt")
    private BigDecimal withdrawalAmt;

    /**
     * 手续费
     */
    @TableField("poundage_amt")
    private BigDecimal poundageAmt;

    /**
     * 提现金额（实际）
     */
    @TableField("elec_trs_fee")
    private BigDecimal elecTrsFee;

    /**
     * 交易流水号
     */
    @TableField("trans_no")
    private String transNo;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    public Long getBocomVipAccountBasicInfoId() {
        return bocomVipAccountBasicInfoId;
    }

    public void setBocomVipAccountBasicInfoId(Long bocomVipAccountBasicInfoId) {
        this.bocomVipAccountBasicInfoId = bocomVipAccountBasicInfoId;
    }

    public Long getBocomVipBindAccountInfoId() {
        return bocomVipBindAccountInfoId;
    }

    public void setBocomVipBindAccountInfoId(Long bocomVipBindAccountInfoId) {
        this.bocomVipBindAccountInfoId = bocomVipBindAccountInfoId;
    }

    public BigDecimal getWithdrawalAmt() {
        return withdrawalAmt;
    }

    public void setWithdrawalAmt(BigDecimal withdrawalAmt) {
        this.withdrawalAmt = withdrawalAmt;
    }

    public BigDecimal getPoundageAmt() {
        return poundageAmt;
    }

    public void setPoundageAmt(BigDecimal poundageAmt) {
        this.poundageAmt = poundageAmt;
    }

    public BigDecimal getElecTrsFee() {
        return elecTrsFee;
    }

    public void setElecTrsFee(BigDecimal elecTrsFee) {
        this.elecTrsFee = elecTrsFee;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "BocomVipAccountReflectRecord{" +
                "bocomVipAccountBasicInfoId=" + bocomVipAccountBasicInfoId +
                ", withdrawalAmt=" + withdrawalAmt +
                ", poundageAmt=" + poundageAmt +
                ", elecTrsFee=" + elecTrsFee +
                ", transNo=" + transNo +
                ", remark=" + remark +
                "}";
    }
}
