package com.inkasso.factoring.bocom.vipaccount.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 会员账户-绑定账户信息表
 * </p>
 *
 * @author wangyafan
 * @since 2024-07-29
 */
@TableName("bocom_vip_bind_account_info")
public class BocomVipBindAccountInfo extends BaseEntity {

    /**
     * 会员账户-基础信息表id
     */
    @TableField("bocom_vip_account_basic_info_id")
    private Long bocomVipAccountBasicInfoId;

    /**
     * 是否为交通银行 0-否 1-是
     */
    @TableField("is_bank_of_communications")
    private Boolean isBankOfCommunications;

    /**
     * 开户银行
     */
    @TableField("bank_name")
    private String bankName;

    /**
     * 绑定账户类型 0-对公 1-个人
     */
    @TableField("bind_acct_tp")
    private Boolean bindAcctTp;

    /**
     * 绑定账号
     */
    @TableField("bind_acct_no")
    private String bindAcctNo;

    /**
     * 绑定账户名称
     */
    @TableField("bind_acct_no_acct_nme")
    private String bindAcctNoAcctNme;

    /**
     * 绑定行号
     */
    @TableField("bind_acct_bank_no")
    private String bindAcctBankNo;

    /**
     * 绑定账户行名
     */
    @TableField("bind_acct_bank_nme")
    private String bindAcctBankNme;

    /**
     * 开户支行
     */
    @TableField("branch_bank_name")
    private String branchBankName;

    /**
     * 核验状态 0-初态 1-正常 2-入金激活待确认 3-待出金验证 4-出金待确认 5-出金失败 6-未出金 7-验证失败 8-入金激活次数超限或超时
     */
    @TableField("bind_sts")
    private Integer bindSts;

    /**
     * 绑定状态 0-流程中 1-可用 2-不可用（拒绝或解绑）
     */
    @TableField("bind_acc_sts")
    private Integer bindAccSts;

    /**
     * 账户绑定审批状态 0--无需审批，1--客户经理审批流程中，2--客户经理审批通过，3--客户经理审批拒绝，4--网银审批流程中，5--网银审批通过，6--网银审批拒绝
     */
    @TableField("manager_approver_sts")
    private Integer managerApproverSts;

    /**
     * 入金激活金额
     */
    @TableField("actvt_amt")
    private BigDecimal actvtAmt;

    /**
     * 账户说明
     */
    @TableField("bind_account_illustrate")
    private String bindAccountIllustrate;

    /**
     * 入金激活待确认状态开始时间
     */
    @TableField("money_confirm_start_time")
    private Date moneyConfirmStartTime;

    /**
     * 操作类型0-新增1-删除2-重设入金激活金额
     */
    @TableField(exist = false)
    private String oprTp;

    public Long getBocomVipAccountBasicInfoId() {
        return bocomVipAccountBasicInfoId;
    }

    public void setBocomVipAccountBasicInfoId(Long bocomVipAccountBasicInfoId) {
        this.bocomVipAccountBasicInfoId = bocomVipAccountBasicInfoId;
    }

    public Boolean getBankOfCommunications() {
        return isBankOfCommunications;
    }

    public void setBankOfCommunications(Boolean isBankOfCommunications) {
        this.isBankOfCommunications = isBankOfCommunications;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public Boolean getBindAcctTp() {
        return bindAcctTp;
    }

    public void setBindAcctTp(Boolean bindAcctTp) {
        this.bindAcctTp = bindAcctTp;
    }

    public String getBindAcctNo() {
        return bindAcctNo;
    }

    public void setBindAcctNo(String bindAcctNo) {
        this.bindAcctNo = bindAcctNo;
    }

    public String getBindAcctNoAcctNme() {
        return bindAcctNoAcctNme;
    }

    public void setBindAcctNoAcctNme(String bindAcctNoAcctNme) {
        this.bindAcctNoAcctNme = bindAcctNoAcctNme;
    }

    public String getBindAcctBankNo() {
        return bindAcctBankNo;
    }

    public void setBindAcctBankNo(String bindAcctBankNo) {
        this.bindAcctBankNo = bindAcctBankNo;
    }

    public String getBindAcctBankNme() {
        return bindAcctBankNme;
    }

    public void setBindAcctBankNme(String bindAcctBankNme) {
        this.bindAcctBankNme = bindAcctBankNme;
    }

    public Integer getBindSts() {
        return bindSts;
    }

    public void setBindSts(Integer bindSts) {
        this.bindSts = bindSts;
    }

    public Integer getBindAccSts() {
        return bindAccSts;
    }

    public void setBindAccSts(Integer bindAccSts) {
        this.bindAccSts = bindAccSts;
    }

    public Integer getManagerApproverSts() {
        return managerApproverSts;
    }

    public void setManagerApproverSts(Integer managerApproverSts) {
        this.managerApproverSts = managerApproverSts;
    }

    public BigDecimal getActvtAmt() {
        return actvtAmt;
    }

    public void setActvtAmt(BigDecimal actvtAmt) {
        this.actvtAmt = actvtAmt;
    }

    public String getBindAccountIllustrate() {
        return bindAccountIllustrate;
    }

    public void setBindAccountIllustrate(String bindAccountIllustrate) {
        this.bindAccountIllustrate = bindAccountIllustrate;
    }

    public Date getMoneyConfirmStartTime() {
        return moneyConfirmStartTime;
    }

    public void setMoneyConfirmStartTime(Date moneyConfirmStartTime) {
        this.moneyConfirmStartTime = moneyConfirmStartTime;
    }

    public String getBranchBankName() {
        return branchBankName;
    }

    public void setBranchBankName(String branchBankName) {
        this.branchBankName = branchBankName;
    }

    public String getOprTp() {
        return oprTp;
    }

    public void setOprTp(String oprTp) {
        this.oprTp = oprTp;
    }

    @Override
    public String toString() {
        return "BocomVipBindAccountInfo{" +
                "bocomVipAccountBasicInfoId=" + bocomVipAccountBasicInfoId +
                ", isBankOfCommunications=" + isBankOfCommunications +
                ", bankName=" + bankName +
                ", bindAcctTp=" + bindAcctTp +
                ", bindAcctNo=" + bindAcctNo +
                ", bindAcctNoAcctNme=" + bindAcctNoAcctNme +
                ", bindAcctBankNo=" + bindAcctBankNo +
                ", bindAcctBankNme=" + bindAcctBankNme +
                ", bindSts=" + bindSts +
                ", bindAccSts=" + bindAccSts +
                ", managerApproverSts=" + managerApproverSts +
                ", actvtAmt=" + actvtAmt +
                ", bindAccountIllustrate=" + bindAccountIllustrate +
                "}";
    }
}
