package com.inkasso.factoring.bocom.vipaccount.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * <p>
 * 会员账户-账户额度限制/其它状态表
 * </p>
 *
 * @author wangyafan
 * @since 2024-07-29
 */
@TableName("bocom_vip_limit_info")
public class BocomVipLimitInfo extends BaseEntity {

    /**
     * 会员账户-基础信息表id
     */
    @TableField("bocom_vip_account_basic_info_id")
    private Long bocomVipAccountBasicInfoId;

    /**
     * 内转限额
     */
    @TableField("inn_lmt_amt")
    private BigDecimal innLmtAmt;

    /**
     * 外转限额
     */
    @TableField("out_lmt_amt")
    private BigDecimal outLmtAmt;

    /**
     * 单笔限额
     */
    @TableField("sgl_qta")
    private BigDecimal sglQta;

    /**
     * 日累计限额
     */
    @TableField("day_cum_qta")
    private BigDecimal dayCumQta;

    /**
     * 周累计限额
     */
    @TableField("wek_cum_qta")
    private BigDecimal wekCumQta;

    /**
     * 月笔限额
     */
    @TableField("mth_cum_qta")
    private BigDecimal mthCumQta;

    /**
     * 季累计限额
     */
    @TableField("qtr_cum_qta")
    private BigDecimal qtrCumQta;

    /**
     * 年累计限额
     */
    @TableField("yr_cum_qta")
    private BigDecimal yrCumQta;

    /**
     * 收支管控标志 0-否 1-是
     */
    @TableField("iae_ctl_flg")
    private Boolean iaeCtlFlg;

    /**
     * 收入管控 1-无收入管控 2-仅对外收入 3-仅对内收入 4-禁止收入
     */
    @TableField("inc_flg")
    private Integer incFlg;

    /**
     * 支出管控 1-无支出管控 仅对外支出 3-仅对内支出4-禁止支出
     */
    @TableField("pay_flg")
    private Integer payFlg;

    /**
     * 取现标志 0-否 1-是
     */
    @TableField("dwc_flg")
    private Boolean dwcFlg;

    /**
     * 归属机构
     */
    @TableField("belong_institution")
    private String belongInstitution;

    /**
     * 激活状态 0-否 1-是
     */
    @TableField("atv_sts")
    private Boolean atvSts;

    public Long getBocomVipAccountBasicInfoId() {
        return bocomVipAccountBasicInfoId;
    }

    public void setBocomVipAccountBasicInfoId(Long bocomVipAccountBasicInfoId) {
        this.bocomVipAccountBasicInfoId = bocomVipAccountBasicInfoId;
    }

    public BigDecimal getInnLmtAmt() {
        return innLmtAmt;
    }

    public void setInnLmtAmt(BigDecimal innLmtAmt) {
        this.innLmtAmt = innLmtAmt;
    }

    public BigDecimal getOutLmtAmt() {
        return outLmtAmt;
    }

    public void setOutLmtAmt(BigDecimal outLmtAmt) {
        this.outLmtAmt = outLmtAmt;
    }

    public BigDecimal getSglQta() {
        return sglQta;
    }

    public void setSglQta(BigDecimal sglQta) {
        this.sglQta = sglQta;
    }

    public BigDecimal getDayCumQta() {
        return dayCumQta;
    }

    public void setDayCumQta(BigDecimal dayCumQta) {
        this.dayCumQta = dayCumQta;
    }

    public BigDecimal getWekCumQta() {
        return wekCumQta;
    }

    public void setWekCumQta(BigDecimal wekCumQta) {
        this.wekCumQta = wekCumQta;
    }

    public BigDecimal getMthCumQta() {
        return mthCumQta;
    }

    public void setMthCumQta(BigDecimal mthCumQta) {
        this.mthCumQta = mthCumQta;
    }

    public BigDecimal getQtrCumQta() {
        return qtrCumQta;
    }

    public void setQtrCumQta(BigDecimal qtrCumQta) {
        this.qtrCumQta = qtrCumQta;
    }

    public BigDecimal getYrCumQta() {
        return yrCumQta;
    }

    public void setYrCumQta(BigDecimal yrCumQta) {
        this.yrCumQta = yrCumQta;
    }

    public Boolean getIaeCtlFlg() {
        return iaeCtlFlg;
    }

    public void setIaeCtlFlg(Boolean iaeCtlFlg) {
        this.iaeCtlFlg = iaeCtlFlg;
    }

    public Integer getIncFlg() {
        return incFlg;
    }

    public void setIncFlg(Integer incFlg) {
        this.incFlg = incFlg;
    }

    public Integer getPayFlg() {
        return payFlg;
    }

    public void setPayFlg(Integer payFlg) {
        this.payFlg = payFlg;
    }

    public Boolean getDwcFlg() {
        return dwcFlg;
    }

    public void setDwcFlg(Boolean dwcFlg) {
        this.dwcFlg = dwcFlg;
    }

    public String getBelongInstitution() {
        return belongInstitution;
    }

    public void setBelongInstitution(String belongInstitution) {
        this.belongInstitution = belongInstitution;
    }

    public Boolean getAtvSts() {
        return atvSts;
    }

    public void setAtvSts(Boolean atvSts) {
        this.atvSts = atvSts;
    }

    @Override
    public String toString() {
        return "BocomVipLimitInfo{" +
                "bocomVipAccountBasicInfoId=" + bocomVipAccountBasicInfoId +
                ", innLmtAmt=" + innLmtAmt +
                ", outLmtAmt=" + outLmtAmt +
                ", sglQta=" + sglQta +
                ", dayCumQta=" + dayCumQta +
                ", wekCumQta=" + wekCumQta +
                ", mthCumQta=" + mthCumQta +
                ", qtrCumQta=" + qtrCumQta +
                ", yrCumQta=" + yrCumQta +
                ", iaeCtlFlg=" + iaeCtlFlg +
                ", incFlg=" + incFlg +
                ", payFlg=" + payFlg +
                ", dwcFlg=" + dwcFlg +
                ", belongInstitution=" + belongInstitution +
                ", atvSts=" + atvSts +
                "}";
    }
}
