package com.inkasso.factoring.bocom.vipaccount.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.factoring.common.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * <p>
 * 会员账户-转账记录表
 * </p>
 *
 * @author wangyafan
 * @since 2024-07-29
 */
@TableName("bocom_vip_transfer_account_record")
public class BocomVipTransferAccountsRecord extends BaseEntity {

    /**
     * 付款方会员账户-基础信息表id
     */
    @TableField("pay_bocom_vip_account_basic_info_id")
    private Long payBocomVipAccountBasicInfoId;

    /**
     * 收款方会员账户-基础信息表id
     */
    @TableField("collection_bocom_vip_account_basic_info_id")
    private Long collectionBocomVipAccountBasicInfoId;

    /**
     * 交易金额
     */
    @TableField("txn_amt")
    private BigDecimal txnAmt;

    /**
     * 交易流水号
     */
    @TableField("trans_no")
    private String transNo;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

    public Long getPayBocomVipAccountBasicInfoId() {
        return payBocomVipAccountBasicInfoId;
    }

    public void setPayBocomVipAccountBasicInfoId(Long payBocomVipAccountBasicInfoId) {
        this.payBocomVipAccountBasicInfoId = payBocomVipAccountBasicInfoId;
    }

    public Long getCollectionBocomVipAccountBasicInfoId() {
        return collectionBocomVipAccountBasicInfoId;
    }

    public void setCollectionBocomVipAccountBasicInfoId(Long collectionBocomVipAccountBasicInfoId) {
        this.collectionBocomVipAccountBasicInfoId = collectionBocomVipAccountBasicInfoId;
    }

    public BigDecimal getTxnAmt() {
        return txnAmt;
    }

    public void setTxnAmt(BigDecimal txnAmt) {
        this.txnAmt = txnAmt;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "BocomVipTransferAccountsRecord{" +
                "payBocomVipAccountBasicInfoId=" + payBocomVipAccountBasicInfoId +
                ", collectionBocomVipAccountBasicInfoId=" + collectionBocomVipAccountBasicInfoId +
                ", txnAmt=" + txnAmt +
                ", transNo=" + transNo +
                ", remark=" + remark +
                "}";
    }
}
