package com.inkasso.factoring.bocom.vipaccount.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.inkasso.factoring.bocom.vipaccount.entity.BocomVipAccountBasicInfo;
import com.inkasso.factoring.bocom.vipaccount.entity.BocomVipBindAccountInfo;
import com.inkasso.factoring.bocom.vipaccount.entity.vo.BocomVipAccountListVo;

import java.util.List;

/**
 * <p>
 * 会员账户-基础信息 服务类
 * </p>
 *
 * @author wangyafan
 * @since 2024-08-06
 */
public interface IBocomVipAccountBasicInfoService extends IService<BocomVipAccountBasicInfo> {

    /**
     * 会员登记簿列表
     * @return
     */
    List<BocomVipAccountListVo> findList();

    /**
     * 新增会员登记簿
     * @param bocomBasicInfoId
     */
    BocomVipAccountBasicInfo doAdd(Long bocomBasicInfoId);

    /**
     * 详情
     * @param id
     * @return
     */
    BocomVipAccountBasicInfo getDetail(Long id);

    /**
     * 修改会员登记簿
     * @param basicInfo
     */
    void doUpdate(BocomVipAccountBasicInfo basicInfo);

    /**
     * 更新会员登记簿信息
     * @param id
     */
    void refreshBocomVipBasic(Long id);

    /**
     * 重置授权二维码
     * @param id
     */
    void resetUrl(Long id);

    /**
     * 维护绑定银行卡信息
     * @param bindAccountInfo
     */
    void updateBindAccount(BocomVipBindAccountInfo bindAccountInfo);

    /**
     * 重设入金激活金额
     * @param id
     */
    void resetAmount(Long id);




}
