DROP TABLE IF EXISTS `bocom_basic_info`;
CREATE TABLE `bocom_basic_info` (
                                  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                  `customer_type` tinyint(2) DEFAULT null COMMENT '0企业 1个体工商户 2个人',
                                  `customer_name` varchar(100) DEFAULT '' COMMENT '客户名称',
                                  `customer_number` varchar(100) DEFAULT '' COMMENT '客户号',
                                  `platform_serial_number` varchar(100) DEFAULT '' COMMENT '平台流水号',
                                  `customer_status` varchar(100) DEFAULT '' COMMENT '客户状态',
                                  `stage` varchar(100) DEFAULT '' COMMENT '阶段',
                                  `gender` tinyint(2) DEFAULT null COMMENT '0男 1女',
                                  `certificate_type` varchar(100) DEFAULT '营业执照' COMMENT '证件种类',
                                  `registered_country` varchar(100) DEFAULT '' COMMENT '注册国别',
                                  `social_credit_code` varchar(20) DEFAULT NULL COMMENT '统一社会信用代码',
                                  `certificate_expiration_date` varchar(200) DEFAULT NULL COMMENT '证件过期时间',
                                  `period_of_validity_from` varchar(200) DEFAULT NULL COMMENT ' 证件有效开始日期',
                                  `period_of_validity` varchar(200) DEFAULT NULL COMMENT ' 证件有效期',
                                  `occupation` varchar(200) DEFAULT NULL COMMENT ' 职业',
                                  `registered_address` varchar(200) DEFAULT null COMMENT '注册地址',
                                  `business_address` varchar(200) DEFAULT null COMMENT '经营地址',
                                  `business_scope` varchar(2000) DEFAULT null COMMENT '经营范围',
                                  `contact_address` varchar(200) DEFAULT null COMMENT '联系地址',
                                  `phone_number` varchar(20) DEFAULT null COMMENT '手机号',
                                  `customer_source` varchar(20) DEFAULT null COMMENT '客户来源',
                                  `verification_status` varchar(200) DEFAULT null COMMENT '客户核验状态',
                                  `user_atuh_sts` varchar(200) DEFAULT null COMMENT '用户授权状态 0-待用户授权 1-银行审核中 2-授权失败(用户拒绝)3-授权失败(银行拒绝)4-授权成',
                                  `vrfy_fail_sts_word` varchar(200) DEFAULT null COMMENT '流程断点状态核验失败时，显示具体核验结果',
                                  `push_person` varchar(200) DEFAULT null COMMENT '通知推送对象',

                                  `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                  `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                  `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                  `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                  PRIMARY KEY (`id`)
) COMMENT='交通银行客户信息';

DROP TABLE IF EXISTS `bocom_basic_info_history`;
CREATE TABLE `bocom_basic_info_history` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                    `customer_type` tinyint(2) DEFAULT null COMMENT '0企业 1个体工商户 2个人',
                                    `customer_name` varchar(100) DEFAULT '' COMMENT '客户名称',
                                    `customer_number` varchar(100) DEFAULT '' COMMENT '客户号',
                                    `platform_serial_number` varchar(100) DEFAULT '' COMMENT '平台流水号',
                                    `customer_status` varchar(100) DEFAULT '' COMMENT '客户状态',
                                    `stage` varchar(100) DEFAULT '' COMMENT '阶段',
                                    `gender` tinyint(2) DEFAULT null COMMENT '0男 1女',
                                    `certificate_type` varchar(100) DEFAULT '营业执照' COMMENT '证件种类',
                                    `registered_country` varchar(100) DEFAULT '' COMMENT '注册国别',
                                    `social_credit_code` varchar(20) DEFAULT NULL COMMENT '统一社会信用代码',
                                    `certificate_expiration_date` varchar(200) DEFAULT NULL COMMENT '证件过期时间',
                                    `period_of_validity_from` varchar(200) DEFAULT NULL COMMENT ' 证件有效开始日期',
                                    `period_of_validity` varchar(200) DEFAULT NULL COMMENT ' 证件有效期',
                                    `occupation` varchar(200) DEFAULT NULL COMMENT ' 职业',
                                    `registered_address` varchar(200) DEFAULT null COMMENT '注册地址',
                                    `business_address` varchar(200) DEFAULT null COMMENT '经营地址',
                                    `business_scope` varchar(2000) DEFAULT null COMMENT '经营范围',
                                    `contact_address` varchar(200) DEFAULT null COMMENT '联系地址',
                                    `phone_number` varchar(20) DEFAULT null COMMENT '手机号',
                                    `customer_source` varchar(20) DEFAULT null COMMENT '客户来源',
                                    `verification_status` varchar(200) DEFAULT null COMMENT '客户核验状态',
                                    `user_atuh_sts` varchar(200) DEFAULT null COMMENT '用户授权状态 0-待用户授权 1-银行审核中 2-授权失败(用户拒绝)3-授权失败(银行拒绝)4-授权成',
                                    `vrfy_fail_sts_word` varchar(200) DEFAULT null COMMENT '流程断点状态核验失败时，显示具体核验结果',
                                    `push_person` varchar(200) DEFAULT null COMMENT '通知推送对象',

                                    `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                    `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                    `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                    PRIMARY KEY (`id`)
) COMMENT='交通银行客户信息历史';

DROP TABLE IF EXISTS `bocom_legal_person_info`;
CREATE TABLE `bocom_legal_person_info` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                    `bocom_basic_info_id` bigint(20)  NOT NULL COMMENT '交通银行客户信息ID',
                                    `name` varchar(100) DEFAULT '' COMMENT '法定代表人姓名',
                                    `certificate_type` varchar(100) DEFAULT '' COMMENT '证件种类',
                                    `certificate_code` varchar(100) DEFAULT '' COMMENT '证件号码',
                                    `period_of_validity_from` varchar(200) DEFAULT NULL COMMENT ' 证件有效开始日期',
                                    `period_of_validity` varchar(200) DEFAULT NULL COMMENT ' 证件有效期',
                                    `phone_number` varchar(20) DEFAULT null COMMENT '手机号',

                                    `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                    `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                    `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                    PRIMARY KEY (`id`)
) COMMENT='交通银行客户信息法人信息';

DROP TABLE IF EXISTS `bocom_legal_person_info_history`;
CREATE TABLE `bocom_legal_person_info_history` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                    `bocom_basic_info_id` bigint(20)  NOT NULL COMMENT '交通银行客户信息ID',
                                    `name` varchar(100) DEFAULT '' COMMENT '法定代表人姓名',
                                    `certificate_type` varchar(100) DEFAULT '' COMMENT '证件种类',
                                    `certificate_code` varchar(100) DEFAULT '' COMMENT '证件号码',
                                    `period_of_validity_from` varchar(200) DEFAULT NULL COMMENT ' 证件有效开始日期',
                                    `period_of_validity` varchar(200) DEFAULT NULL COMMENT ' 证件有效期',
                                    `phone_number` varchar(20) DEFAULT null COMMENT '手机号',

                                    `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                    `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                    `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                    PRIMARY KEY (`id`)
) COMMENT='交通银行客户信息法人信息历史';

DROP TABLE IF EXISTS `bocom_shareholder_actual_controller`;
CREATE TABLE `bocom_shareholder_actual_controller` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                    `bocom_basic_info_id` bigint(20)  NOT NULL COMMENT '交通银行客户信息ID',
                                    `person_type` tinyint(2) DEFAULT null COMMENT '0控股股东 1实控人 2负责人',
                                    `name` varchar(100) DEFAULT '' COMMENT '姓名',
                                    `certificate_type` varchar(100) DEFAULT '' COMMENT '证件种类',
                                    `certificate_code` varchar(100) DEFAULT '' COMMENT '证件号码',
                                    `period_of_validity_from` varchar(200) DEFAULT NULL COMMENT ' 证件有效开始日期',
                                    `period_of_validity` varchar(200) DEFAULT NULL COMMENT ' 证件有效期',
                                    `phone_number` varchar(20) DEFAULT null COMMENT '手机号',
                                    `country` varchar(100) DEFAULT '' COMMENT '国籍',
                                    `address` varchar(100) DEFAULT '' COMMENT '地址',

                                    `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                    `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                    `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                    PRIMARY KEY (`id`)
) COMMENT='人员信息';

DROP TABLE IF EXISTS `bocom_shareholder_actual_controller_history`;
CREATE TABLE `bocom_shareholder_actual_controller_history` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                    `bocom_basic_info_id` bigint(20)  NOT NULL COMMENT '交通银行客户信息ID',
                                    `person_type` tinyint(2) DEFAULT null COMMENT '0控股股东 1实控人 2负责人',
                                    `name` varchar(100) DEFAULT '' COMMENT '姓名',
                                    `certificate_type` varchar(100) DEFAULT '' COMMENT '证件种类',
                                    `certificate_code` varchar(100) DEFAULT '' COMMENT '证件号码',
                                    `period_of_validity_from` varchar(200) DEFAULT NULL COMMENT ' 证件有效开始日期',
                                    `period_of_validity` varchar(200) DEFAULT NULL COMMENT ' 证件有效期',
                                    `phone_number` varchar(20) DEFAULT null COMMENT '手机号',
                                    `country` varchar(100) DEFAULT '' COMMENT '国籍',
                                    `address` varchar(100) DEFAULT '' COMMENT '地址',

                                    `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                    `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                    `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                    PRIMARY KEY (`id`)
) COMMENT='人员信息历史';

DROP TABLE IF EXISTS `bocom_beneficiary_info`;
CREATE TABLE `bocom_beneficiary_info` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                    `bocom_basic_info_id` bigint(20)  NOT NULL COMMENT '交通银行客户信息ID',
                                    `name` varchar(100) DEFAULT '' COMMENT '姓名',
                                    `country` varchar(100) DEFAULT '' COMMENT '国籍',
                                    `certificate_type` varchar(100) DEFAULT '' COMMENT '证件种类',
                                    `certificate_code` varchar(100) DEFAULT '' COMMENT '证件号码',
                                    `period_of_validity_from` varchar(200) DEFAULT NULL COMMENT ' 证件有效开始日期',
                                    `period_of_validity` varchar(200) DEFAULT NULL COMMENT ' 证件有效期',
                                    `address` varchar(100) DEFAULT '' COMMENT '地址',

                                    `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                    `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                    `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                    PRIMARY KEY (`id`)
) COMMENT='受益人信息';

DROP TABLE IF EXISTS `bocom_beneficiary_info_history`;
CREATE TABLE `bocom_beneficiary_info_history` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                    `bocom_basic_info_id` bigint(20)  NOT NULL COMMENT '交通银行客户信息ID',
                                    `name` varchar(100) DEFAULT '' COMMENT '姓名',
                                    `country` varchar(100) DEFAULT '' COMMENT '国籍',
                                    `certificate_type` varchar(100) DEFAULT '' COMMENT '证件种类',
                                    `certificate_code` varchar(100) DEFAULT '' COMMENT '证件号码',
                                    `period_of_validity_from` varchar(200) DEFAULT NULL COMMENT ' 证件有效开始日期',
                                    `period_of_validity` varchar(200) DEFAULT NULL COMMENT ' 证件有效期',
                                    `address` varchar(100) DEFAULT '' COMMENT '地址',

                                    `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                    `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                    `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                    PRIMARY KEY (`id`)
) COMMENT='受益人信息历史';

DROP TABLE IF EXISTS `bocom_authorized_agent`;
CREATE TABLE `bocom_authorized_agent` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                    `bocom_basic_info_id` bigint(20)  NOT NULL COMMENT '交通银行客户信息ID',
                                    `name` varchar(100) DEFAULT '' COMMENT '姓名',
                                    `country` varchar(100) DEFAULT '' COMMENT '国籍',
                                    `certificate_type` varchar(100) DEFAULT '' COMMENT '证件种类',
                                    `certificate_code` varchar(100) DEFAULT '' COMMENT '证件号码',
                                    `period_of_validity_from` varchar(200) DEFAULT NULL COMMENT ' 证件有效开始日期',
                                    `period_of_validity` varchar(200) DEFAULT NULL COMMENT ' 证件有效期',
                                    `phone_number` varchar(20) DEFAULT null COMMENT '手机号',

                                    `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                    `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                    `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                    PRIMARY KEY (`id`)
) COMMENT='授权代理人';

DROP TABLE IF EXISTS `bocom_authorized_agent_history`;
CREATE TABLE `bocom_authorized_agent_history` (
                                    `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                    `bocom_basic_info_id` bigint(20)  NOT NULL COMMENT '交通银行客户信息ID',
                                    `name` varchar(100) DEFAULT '' COMMENT '姓名',
                                    `country` varchar(100) DEFAULT '' COMMENT '国籍',
                                    `certificate_type` varchar(100) DEFAULT '' COMMENT '证件种类',
                                    `certificate_code` varchar(100) DEFAULT '' COMMENT '证件号码',
                                    `period_of_validity_from` varchar(200) DEFAULT NULL COMMENT ' 证件有效开始日期',
                                    `period_of_validity` varchar(200) DEFAULT NULL COMMENT ' 证件有效期',
                                    `phone_number` varchar(20) DEFAULT null COMMENT '手机号',

                                    `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                    `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                    `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                    `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                    PRIMARY KEY (`id`)
) COMMENT='授权代理人历史';

DROP TABLE IF EXISTS `bocom_approval`;
CREATE TABLE `bocom_approval` (
                                       `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
                                       `bocom_basic_info_id` bigint(20)  NOT NULL COMMENT '交通银行客户信息ID',
                                       `bocom_basic_info_history_id` bigint(20)  DEFAULT NULL COMMENT '交通银行客户信息历史表ID',
                                       `approval_comment` varchar(3000) DEFAULT '' COMMENT '审批意见',
                                       `approval_conclusion` varchar(50) DEFAULT NULL COMMENT '审批结论',
                                       `user_create` varchar(50) DEFAULT '' COMMENT '创建人',
                                       `user_modified` varchar(50) DEFAULT '' COMMENT '修改人',
                                       `gmt_create` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
                                       `gmt_modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
                                       PRIMARY KEY (`id`) USING BTREE
) COMMENT='交行-审核表';

INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '交行开户阶段', NULL, 'bocomCustomerStages', NULL, null, now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '暂存', (select t.id from t_dictionary t where t.code = 'bocomCustomerStages'), 'bocomCustomerStages_A', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '审核中', (select t.id from t_dictionary t where t.code = 'bocomCustomerStages'), 'bocomCustomerStages_B', NULL, 1,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '审批退回', (select t.id from t_dictionary t where t.code = 'bocomCustomerStages'), 'bocomCustomerStages_C', NULL, 2,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '开户中', (select t.id from t_dictionary t where t.code = 'bocomCustomerStages'), 'bocomCustomerStages_D', NULL, 3,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '核验成功', (select t.id from t_dictionary t where t.code = 'bocomCustomerStages'), 'bocomCustomerStages_E', NULL, 4,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '核验失败', (select t.id from t_dictionary t where t.code = 'bocomCustomerStages'), 'bocomCustomerStages_F', NULL, 5,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '终止', (select t.id from t_dictionary t where t.code = 'bocomCustomerStages'), 'bocomCustomerStages_G', NULL, 6,now(),now());

INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '交行客户状态', NULL, 'bocomCustomerStatus', NULL, null, now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '生效', (select t.id from t_dictionary t where t.code = 'bocomCustomerStatus'), 'bocomCustomerStatus_success', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '待生效', (select t.id from t_dictionary t where t.code = 'bocomCustomerStatus'), 'bocomCustomerStatus_fail', NULL, 1,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '终止', (select t.id from t_dictionary t where t.code = 'bocomCustomerStatus'), 'bocomCustomerStatus_termination', NULL, 2,now(),now());

INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '企业证件种类', NULL, 'enterpriseCertificateType', NULL, null, now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '营业执照', (select t.id from t_dictionary t where t.code = 'enterpriseCertificateType'), 'enterpriseCertificateType_2011', NULL, 0,now(),now());

INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '第一代居民身份证', (select t.id from t_dictionary t where t.code = 'idCard'), 'idCard_0101', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '第二代居民身份证', (select t.id from t_dictionary t where t.code = 'idCard'), 'idCard_0102', NULL, 1,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '临时身份证', (select t.id from t_dictionary t where t.code = 'idCard'), 'idCard_0200', NULL, 2,now(),now());

INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '注册国别', NULL, 'registerCountry', NULL, null, now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '中国', (select t.id from t_dictionary t where t.code = 'registerCountry'), 'registerCountry_CHN', NULL, 0,now(),now());

INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '职业类别', NULL, 'occupationTypes', NULL, null, now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '国家公务员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_001', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '专业技术人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_100', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '公司职员和事业单位员工', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_200', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '商业、服务业人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_300', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '农、林、牧、渔、水利业生产人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_400', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '工人', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_500', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '军人/武警', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_600', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '其他', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_999', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '私营业主/自由职业', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_700', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '国家公务员及企事业单位负责人', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_000', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '事业单位负责人', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_002', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '企业负责人', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_003', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '科学研究人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_101', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '工程技术人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_102', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '农业技术人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_103', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '飞机和船舶技术人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_104', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '卫生专业技术人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_105', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '经济业务人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_106', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '金融业务人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_107', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '法律专业人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_108', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '教学人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_109', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '文学艺术工作人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_110', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '体育工作人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_111', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '新闻出版、文化工作人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_112', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '宗教职业者', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_113', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '其他专业技术人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_114', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '行政办公人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_201', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '安全保卫和消防人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_202', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '邮政和电信业务人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_203', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '其他办事人员和有关人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_204', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '购销人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_301', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '仓储人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_302', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '餐饮服务人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_303', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '饭店、旅游及健身娱乐场所服务人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_304', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '运输服务人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_305', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '医疗卫生辅助服务人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_306', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '社会服务和居民生活服务人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_307', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '其他商业、服务业人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_308', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '农民', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_401', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '林业生产及野生动植物保护人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_402', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '畜牧业生产人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_403', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '渔业生产人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_404', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '水利设施管理养护人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_405', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '其他农、林、牧、渔、水利业生产人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_406', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '勘探及矿物开采人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_501', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '金属冶炼、轧制人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_502', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '化工产品生产人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_503', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '机械制造加工人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_504', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '机电产品装配人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_505', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '机械设备修理人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_506', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '电力设备安装、运行、检修及供电人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_507', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '电子元器件与设备制造、装配、调试及维修人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_508', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '橡胶和塑料制品生产人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_509', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '纺织、针织、印染人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_510', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '裁剪、缝纫和皮革、毛皮制品加工制作人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_511', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '粮油、食品、饮料生产加工及饲料生产加工人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_512', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '烟草及其制品加工人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_513', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '药品生产人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_514', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '木材加工、人造板生产、木制品制作及制浆、造纸和纸制品生产加工人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_515', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '建筑材料生产、加工人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_516', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '玻璃、陶瓷、搪瓷及其制品生产加工人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_517', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '广播影视制品制作、播放及文物保护作业人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_518', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '印刷人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_519', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '工艺、美术品制作人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_520', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '文化教育、体育用品制作人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_521', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '工程施工人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_522', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '运输设备操作人员及有关人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_523', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '环境监测与废物处理人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_524', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '检验、计量人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_525', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '其他生产、运输设备操作人员及有关人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_526', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '外国使领馆人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_205', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '慈善机构工作人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_206', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '珠宝、贵金属、艺术品收藏及拍卖人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_309', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '废旧物资回收人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_310', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '自由职业', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_702', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '私营业主', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_703', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '离退休人员', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_995', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '家庭妇女', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_996', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '学生', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_997', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '失业/无业', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_998', NULL, 0,now(),now());
INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '学龄前儿童', (select t.id from t_dictionary t where t.code = 'occupationTypes'), 'occupationTypes_994', NULL, 0,now(),now());

INSERT INTO `t_dictionary` ( `name`, `parentId`, `code`, `value`, `gradation`, `gmt_create`, `gmt_modified`)
VALUES ( '交通银行开户流程', 252, 'bocomBasicInfo', NULL, 4, now(),now());


INSERT INTO `t_permission` ( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( NULL, 'menu', '长银账户管理', 'CyAccountManage', 8, NULL, NULL, '1', NULL, NULL, now(),now());
INSERT INTO `t_permission` ( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where ename = 'CyAccountManage' ), 'menu', '会员信息管理', 'CyAccountMemberInfoManage', 0, NULL, NULL, '1', NULL, NULL,  now(),now());
INSERT INTO `t_permission` ( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where ename = 'CyAccountMemberInfoManage' ), 'button', '新增', 'addBocom', 1, NULL, NULL, NULL, NULL, NULL,  now(),now());
INSERT INTO `t_permission` ( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where ename = 'CyAccountMemberInfoManage' ), 'button', '修改', 'updateBocom', 2, NULL, NULL, NULL, NULL, NULL,  now(),now());
INSERT INTO `t_permission` ( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where ename = 'CyAccountMemberInfoManage' ), 'button', '查看', 'viewBocom', 3, NULL, NULL, NULL, NULL, NULL,  now(),now());
INSERT INTO `t_permission` ( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where ename = 'CyAccountMemberInfoManage' ), 'button', '数据全员可见', 'viewAllBocom', 4, NULL, NULL, NULL, NULL, NULL,  now(),now());
INSERT INTO `t_permission` ( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where ename = 'CyAccountMemberInfoManage' ), 'button', '终止', 'terminationBocom', 5, NULL, NULL, NULL, NULL, NULL,  now(),now());
INSERT INTO `t_permission` ( `parentId`, `type`, `cname`, `ename`, `gradation`, `moduleName`, `url`, `icon`, `user_create`, `user_modified`, `gmt_create`, `gmt_modified`)
VALUES ( (select t.id from t_permission t where ename = 'CyAccountMemberInfoManage' ), 'button', '重新查询会员信息', 'researchBocomInfo', 6, NULL, NULL, NULL, NULL, NULL,  now(),now());

